<?= $this->doctype(); ?>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>        
        <?php
        echo $this->headTitle();
        echo $this->headMeta();
        $this->headLink()->prependStylesheet($this->baseUrl() . '/css/standard.css');
        $this->headLink()->prependStylesheet($this->baseUrl() . '/css/eshop.css');
        $this->headLink()->prependStylesheet($this->baseUrl() . '/css/admin.css');
        $this->headLink()->prependStylesheet($this->baseUrl() . '/css/balkanova_admin.css');
        $this->headScript()->appendFile($this->baseUrl() . 'http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js');
        $this->headScript()->appendFile($this->baseUrl() . '/plugins/tiny_mce/tiny_mce.js');
        $this->headLink(Array('rel' => 'icon', 'href' => '/graphics/favicon_e.gif', 'type' => 'image/x-icon'));
        echo $this->headLink();
        echo $this->headScript();

        $config = Zend_Registry::get('config');
        $locale = $config->locale;
        ?>
        <script type = "text/javascript" src = "/jscripts/main.js"></script>
        <script type="text/javascript">
            tinyMCE.init({
                // General options
                mode: "textareas",
                theme: "advanced",
                plugins: "pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template,wordcount,advlist,autosave",
                // Theme options
                theme_advanced_buttons1: "save,newdocument,|,bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,styleselect,formatselect,fontselect,fontsizeselect",
                theme_advanced_buttons2: "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,insertdate,inserttime,preview,|,forecolor,backcolor",
                theme_advanced_buttons3: "tablecontrols,|,hr,removeformat,visualaid,|,sub,sup,|,charmap,emotions,iespell,media,advhr,|,print,|,ltr,rtl,|,fullscreen",
                theme_advanced_buttons4: "insertlayer,moveforward,movebackward,absolute,|,styleprops,|,cite,abbr,acronym,del,ins,attribs,|,visualchars,nonbreaking,template,pagebreak,restoredraft",
                theme_advanced_toolbar_location: "top",
                theme_advanced_toolbar_align: "left",
                theme_advanced_statusbar_location: "bottom",
                theme_advanced_resizing: true,
                // Example content CSS (should be your site CSS)
                content_css: "css/content.css",
                // Drop lists for link/image/media/template dialogs
                template_external_list_url: "lists/template_list.js",
                external_link_list_url: "lists/link_list.js",
                external_image_list_url: "lists/image_list.js",
                media_external_list_url: "lists/media_list.js",
                // Style formats
                style_formats: [
                    {title: 'Bold text', inline: 'b'},
                    {title: 'Red text', inline: 'span', styles: {color: '#ff0000'}},
                    {title: 'Red header', block: 'h1', styles: {color: '#ff0000'}},
                    {title: 'Example 1', inline: 'span', classes: 'example1'},
                    {title: 'Example 2', inline: 'span', classes: 'example2'},
                    {title: 'Table styles'},
                    {title: 'Table row 1', selector: 'tr', classes: 'tablerow1'}
                ],
                // Replace values for the template plugin
                template_replace_values: {
                    username: "Some User",
                    staffid: "991234"
                }
            });
        </script>
    </head>
    <body>
        <div id="wrapper">
            <div id="header">
                <img src="/graphics/header-administrace_cz.gif" alt="Balkanova – originální vlněné bulharské deky" width="990" height="100" />
            </div>
            <div id="navigation">
                <?php
                $auth = Zend_Auth::getInstance();
                if ($auth->hasIdentity()) {
                    $userArray = get_object_vars(Zend_Auth::getInstance()->getStorage()->read());
                    echo "<b>Uživatel:</b> " . $userArray['user_name'] . " <a href='$this->baseUrl/admin/profile/'><b>[profil]</b></a> <a href='$this->baseUrl/admin/authentication/logout/'><b>[odhlásit]</b></a><br/><br/>";
                }
                if (!$auth->hasIdentity()) {
                    echo "<br/><br/>";
                } else {
                    $user = $auth->getIdentity();
                    //editor
                    $m_orders = "<li" . (($this->module == "orders") ? " class='active'" : "") . "><a href='$this->baseUrl/admin/orders/'>objednávky</a></li>";
                    $m_sales = "<li" . (($this->module == "sales") ? " class='active'" : "") . "><a href='$this->baseUrl/admin/sales/'>prodeje</a></li>";
                    $m_inventory = "<li" . (($this->module == "inventory") ? " class='active'" : "") . "><a href='$this->baseUrl/admin/inventory/'>Inventář</a></li>";
                    $m_products = "<li" . (($this->module == "products") ? " class='active'" : "") . "><a href='$this->baseUrl/admin/products/'>produkty</a></li>";
                    //admin
                    $m_categories = "<li" . (($this->module == "categories") ? " class='active'" : "") . "><a href='$this->baseUrl/admin/categories/'>kategorie</a></li>";
                    $m_subcategories = "<li" . (($this->module == "categories") ? " class='active'" : "") . "><a href='$this->baseUrl/admin/subcategories/'>subkategorie</a></li>";
                    $m_texts = "<li" . (($this->module == "texts") ? " class='active'" : "") . "><a href='$this->baseUrl/admin/texts/'>texty</a></li>";
                    $m_news = "<li" . (($this->module == "texts") ? " class='active'" : "") . "><a href='$this->baseUrl/admin/news/'>novinky</a></li>";
                    $m_gallery = "<li" . (($this->module == "gallery") ? " class='active'" : "") . "><a href='$this->baseUrl/admin/gallery/'>obrázky</a></li>";
                    $m_mailinglist = "<li" . (($this->module == "mailinglist") ? " class='active'" : "") . "><a href='$this->baseUrl/admin/mailinglist/'>mailinglist</a></li>";
                    $m_shipping = "<li" . (($this->module == "shipping") ? " class='active'" : "") . "><a href='$this->baseUrl/admin/shipping/'>poštovné</a></li>";
                    //superadmin stuff
                    $m_overview = "<li" . (($this->module == "overview") ? " class='active'" : "") . "><a href='$this->baseUrl/admin/overview/'>přehled</a></li>";
                    $m_settings = "<li" . (($this->module == "settings") ? " class='active'" : "") . "><a href='$this->baseUrl/admin/settings/'>nastavení</a></li>";
                    $m_users = "<li" . (($this->module == "users") ? " class='active'" : "") . "><a href='$this->baseUrl/admin/users/'>uživatelé</a></li>";
                    echo "<ul>";
                    switch ($user->user_role) {
                        case 'editor':
                            echo $m_orders . $m_sales . $m_inventory . $m_products . $m_news;
                            break;
                        case 'admin':
                            echo $m_orders . $m_sales . $m_inventory . $m_products . $m_news;
                            echo $m_categories . $m_subcategories . $m_texts . $m_gallery . $m_mailinglist . $m_shipping;
                            break;
                        case 'superadmin':
                            echo $m_orders . $m_sales . $m_inventory . $m_products . $m_news;
                            echo $m_categories . $m_subcategories . $m_texts . $m_gallery . $m_mailinglist . $m_shipping;
                            echo $m_overview . $m_settings . $m_users;
                            break;
                    }
                    echo "</ul>";
                }
                ?>
            </div>
            <div id="content">
                <?php echo $this->layout()->content;
                ?>
                <div class='clear'></div>
            </div>            
            dotazy či návrhy posílejte na jan_dockal@seznam.cz
        </div>        
    </body>
</html>